IWMBTFW(8)

NAME
iwmbtfw - firmware download utility for Intel Wireless 8260/8265 chip based Bluetooth USB devices

SYNOPSIS
iwmbtfw -d device_name -f firmware_path
iwmbtfw -h

DESCRIPTION
The iwmbtfw utility downloads the specified firmware file to the specified ugen(4) device.

This utility will only work with Intel Wireless 8260/8265 chip based Bluetooth USB devices and some of their successors. The identification is currently based on USB vendor ID/product ID pair. The vendor ID should be 0x8087 (USB_VENDOR_INTEL2) and the product ID should be one of the supported devices.

Firmware files are available in the comms/iwmbt-firmware port.

The iwmbtfw utility will query the device to determine which firmware image and board configuration to load in at runtime.

The options are as follows:

-D  Enable verbose debugging.

-d device_name
    Specify ugen(4) device name.

-I  Enable informational debugging.

-f firmware_path
    Specify the directory containing the firmware files to search and upload.

-h  Display usage message and exit.

EXIT STATUS

SEE ALSO
libusb(3), ugen(4), devd(8)

AUTHORS
iwmbtfw is based on ath3kfw(8) utility used as firmware downloader template and on Linux btintel driver source code. It is written by Vladimir Kondratyev <wulf@FreeBSD.org>.

BUGS
Most likely. Please report if found.